com.saxonica.expr.flwor

## Class WindowClause.Window

- java.lang.Object
- - com.saxonica.expr.flwor.WindowClause.Window

- Enclosing class:
    WindowClause

      protected static class WindowClause.Window
      extends Object

  Information about a window: the items making up the window, as well as the variables relating to the start and end of the window, and the status of the winoow in relation to the processing of the current input sequence.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<Item>` | `contents`
    `Item` | `endItem`
    `Item` | `endNextItem`
    `int` | `endPosition`
    `Item` | `endPreviousItem`
    `boolean` | `isDespatched`
    `Item` | `startItem`
    `Item` | `startNextItem`
    `int` | `startPosition`
    `Item` | `startPreviousItem`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WindowClause.Window()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDespatched()` Ask whether the tuple corresponding to this window has been despatched to the output tuple stream.
    `boolean` | `isFinished()` Ask whether we have found the last item in the window

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startItem

          public Item startItem

    - #### startPosition

          public int startPosition

    - #### startPreviousItem

          public Item startPreviousItem

    - #### startNextItem

          public Item startNextItem

    - #### endItem

          public Item endItem

    - #### endPosition

          public int endPosition

    - #### endPreviousItem

          public Item endPreviousItem

    - #### endNextItem

          public Item endNextItem

    - #### contents

          public List<Item> contents

    - #### isDespatched

          public boolean isDespatched

  - ### Constructor Detail

    - #### WindowClause.Window

          protected WindowClause.Window()

  - ### Method Detail

    - #### isFinished

          public boolean isFinished()

      Ask whether we have found the last item in the window
      Returns:
        true if we have found the last item; false if we are still looking for it.

    - #### isDespatched

          public boolean isDespatched()

      Ask whether the tuple corresponding to this window has been despatched to the output tuple stream. This does not always happen immediately the end item is determined, because tuples corresponding to the various windows must be despached in order of their start items.
      Returns:
        true if the tuple corresponding to this window has been despatched.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.